#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("BAI3_17.inp");
    ofstream f2("BAI3_17.out");
    int n;
    f1>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        f1>>a[i];
    }
    sort(a,a+n);
    int t;
    t=a[0]+a[n-1];
    f2<<t;
}
